Bug 886676 - selinux enforcing blocks apcupsd-cgi scripts
selinux enforcing blocks apcupsd-cgi scripts
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.8
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 15:50 EST by Trevor Cooper
Modified: 2013-03-21 05:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 05:01:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Trevor Cooper 2012-12-12 15:50:58 EST
Description of problem:

apcupsd-cgi installed from EPEL doesn't set proper selinux context(s).

With selinux set to enforcing cgi scripts cannot be used. With selinux set to permissive all works as expected. Nothing logged to /var/log/audit/audit.log

Version-Release number of selected component (if applicable):

centos-release-5-8.el5.centos
apcupsd-cgi-3.14.10-1.el5

How reproducible:

100%

Steps to Reproduce:
1. setenforce 1
2. execute /var/www/apcupsd/multimon.cgi produces valid output
3. access [http|https]://localhost/apcupsd/multimon.cgi
  
Actual results:

When run from command line as root...

[root ~]# getenforce
Enforcing

[root ~]# /var/www/apcupsd/multimon.cgi 
Content-Type: text/html; charset=utf-8
Content-Language: en
Pragma: no-cache
...
<tr align="center">
<td class="Label"><a href="upsstats.cgi?host=127.0.0.1&amp;temp=C">localhost</a></td>
<td class="Label">SMART-UPS 5000 RM DL4</td>
<td class="Normal"> ONLINE<br /></td>
<td class="Normal">100.0 %</td>
<td class="Normal">205.4 VAC</td>
<td class="Normal">17.6 %</td>
<td class="Normal">19.3&deg; C</td>
<td class="Normal">44.0 min.</td>
<td class="Label"><a href="upsfstats.cgi?host=127.0.0.1">All data</a></td>
</tr>

When accessed via browser...

[root ~]# firefox http://localhost/apcupsd/multimon.cgi &

<tr align="center">
<td class="Fault">localhost</td>
<td colspan="8" class="Fault">Not available: upsfetch: tcp_open failed for 127.0.0.1 port 3551</td>
</tr>


Expected results:

[root ~]# setenforce 0
[root ~]# getenforce
Permissive

[root ~]# firefox http://localhost/apcupsd/multimon.cgi &

<tr align="center">
<td class="Label"><a href="upsstats.cgi?host=127.0.0.1&amp;temp=C">localhost</a></td>
<td class="Label">SMART-UPS 5000 RM DL4</td>
<td class="Normal"> ONLINE<br /></td>

<td class="Normal">100.0 %</td>
<td class="Normal">204.1 VAC</td>
<td class="Normal">17.6 %</td>
<td class="Normal">19.8&deg; C</td>
<td class="Normal">46.0 min.</td>
<td class="Label"><a href="upsfstats.cgi?host=127.0.0.1">All data</a></td>
</tr>

Additional info:
Comment 1 Miroslav Grepl 2012-12-13 06:47:15 EST
How is /var/www/apcupsd/multimon.cgi labeled?

ls -Z /var/www/apcupsd/multimon.cgi
Comment 2 Trevor Cooper 2012-12-13 12:20:10 EST
[root@ip70 ~]# ls -aZ /var/www/apcupsd/
drwxr-xr-x  root root system_u:object_r:httpd_sys_content_t .
drwxr-xr-x  root root system_u:object_r:httpd_sys_content_t ..
-rwxr-xr-x  root root system_u:object_r:httpd_sys_content_t multimon.cgi
-rwxr-xr-x  root root system_u:object_r:httpd_sys_content_t upsfstats.cgi
-rwxr-xr-x  root root system_u:object_r:httpd_sys_content_t upsimage.cgi
-rwxr-xr-x  root root system_u:object_r:httpd_sys_content_t upsstats.cgi

Compared to...

[root@ip70 ~]# ls -aZ /var/www/cgi-bin/
drwxr-xr-x  root root system_u:object_r:httpd_sys_script_exec_t .
drwxr-xr-x  root root system_u:object_r:httpd_sys_content_t ..

Also, to be sure I hadn't modified the default selinux labelling I uninstalled/reinstalled the package. From /var/log/messages...

Dec 13 09:05:43 ip70 yum: Erased: apcupsd-cgi
Dec 13 09:07:22 ip70 yum: Installed: apcupsd-cgi-3.14.10-1.el5.x86_64
Dec 13 09:10:18 ip70 dbus: avc:  received setenforce notice (enforcing=1) 
Dec 13 09:10:24 ip70 dbus: avc:  received setenforce notice (enforcing=0) 

Nothing is logged to /var/log/audit/audit.log except...

type=USER_AVC msg=audit(1355418728.048:16666): user pid=3007 uid=81 auid=4294967295 subj=system_u:system_r:system_dbusd_t:s0 msg='avc:  received setenforce notice (enforcing=1) : exe="?" (sauid=81, hostname=?, addr=?, terminal=?)'
type=MAC_STATUS msg=audit(1355418738.672:16667): enforcing=0 old_enforcing=1 auid=9153 ses=1
type=SYSCALL msg=audit(1355418738.672:16667): arch=c000003e syscall=1 success=yes exit=1 a0=3 a1=7fff128bd0d0 a2=1 a3=0 items=0 ppid=16457 pid=16855 auid=9153 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts21 ses=1 comm="setenforce" exe="/usr/sbin/setenforce" subj=user_u:system_r:unconfined_t:s0-s0:c0.c1023 key=(null)
type=USER_AVC msg=audit(1355418738.672:16668): user pid=3007 uid=81 auid=4294967295 subj=system_u:system_r:system_dbusd_t:s0 msg='avc:  received setenforce notice (enforcing=0) : exe="?" (sauid=81, hostname=?, addr=?, terminal=?)'
Comment 3 Miroslav Grepl 2013-03-19 10:51:26 EDT
Could you try to execute

# semodule -DB

re-test and execute

# ausearch -m avc -ts recent
Comment 4 Trevor Cooper 2013-03-19 11:30:01 EDT
[root@ip70 ~]# ausearch -m avc -ts recent

NOTE: Applicable entry first...

----
time->Tue Mar 19 08:20:19 2013
type=SYSCALL msg=audit(1363706419.604:8186): arch=c000003e syscall=59 success=yes exit=0 a0=2ace1af69928 a1=2ace1af57e70 a2=2ace1af57e88 a3=0 items=0 ppid=8450 pid=29575 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706419.604:8186): avc:  denied  { noatsecure } for  pid=29575 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706419.604:8186): avc:  denied  { rlimitinh } for  pid=29575 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706419.604:8186): avc:  denied  { siginh } for  pid=29575 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process

All entries returned following...

----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.668:8138): arch=c000003e syscall=83 success=yes exit=0 a0=2ace1af91418 a1=1ff a2=0 a3=7463376a326c742f items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.668:8138): avc:  denied  { create } for  pid=29063 comm="httpd" name="tl2j7ctz_DEr0HuS4ez4.outputlock" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
type=AVC msg=audit(1363706314.668:8138): avc:  denied  { add_name } for  pid=29063 comm="httpd" name="tl2j7ctz_DEr0HuS4ez4.outputlock" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
type=AVC msg=audit(1363706314.668:8138): avc:  denied  { write } for  pid=29063 comm="httpd" name="mod_pagespeed" dev=dm-0 ino=32702499 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.669:8139): arch=c000003e syscall=83 success=yes exit=0 a0=2ace1af959a8 a1=1ff a2=2ace11570950 a3=2ace1af95adb items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.669:8139): avc:  denied  { add_name } for  pid=29063 comm="httpd" name="cf_sqEA2xEfMTntZUWxhJpK" scontext=system_u:system_r:httpd_t:s0 tcontext=user_u:object_r:var_t:s0 tclass=dir
type=AVC msg=audit(1363706314.669:8139): avc:  denied  { write } for  pid=29063 comm="httpd" name="rname" dev=dm-0 ino=32702520 scontext=system_u:system_r:httpd_t:s0 tcontext=user_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.669:8140): arch=c000003e syscall=2 success=yes exit=23 a0=2ace1af95a90 a1=c2 a2=180 a3=427047356d305f33 items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.669:8140): avc:  denied  { create } for  pid=29063 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE,YmrAFP" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.670:8141): arch=c000003e syscall=5 success=yes exit=0 a0=17 a1=2ace1ba34140 a2=2ace1ba34140 a3=427047356d305f33 items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.670:8141): avc:  denied  { getattr } for  pid=29063 comm="httpd" path="/var/cache/mod_pagespeed/rname/cf_sqEA2xEfMTntZUWxhJpK/w/MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE,YmrAFP" dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.670:8142): arch=c000003e syscall=1 success=yes exit=472 a0=17 a1=2ace1c437000 a2=1d8 a3=3030233a726f6c6f items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.670:8142): avc:  denied  { write } for  pid=29063 comm="httpd" path="/var/cache/mod_pagespeed/rname/cf_sqEA2xEfMTntZUWxhJpK/w/MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE,YmrAFP" dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.670:8143): arch=c000003e syscall=82 success=yes exit=0 a0=2ace1af95a48 a1=2ace1af95c58 a2=2ace1af95c58 a3=2ace1af959db items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.670:8143): avc:  denied  { rename } for  pid=29063 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE,YmrAFP" dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
type=AVC msg=audit(1363706314.670:8143): avc:  denied  { remove_name } for  pid=29063 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE,YmrAFP" dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.670:8144): arch=c000003e syscall=2 success=yes exit=23 a0=2ace01dec938 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.670:8144): avc:  denied  { read } for  pid=29063 comm="httpd" name="!clean!time!" dev=dm-0 ino=32702603 scontext=system_u:system_r:httpd_t:s0 tcontext=user_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.670:8145): arch=c000003e syscall=5 success=yes exit=0 a0=17 a1=2ace1ba319b0 a2=2ace1ba319b0 a3=216e61656c63212f items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.670:8145): avc:  denied  { getattr } for  pid=29063 comm="httpd" path="/var/cache/mod_pagespeed/!clean!time!" dev=dm-0 ino=32702603 scontext=system_u:system_r:httpd_t:s0 tcontext=user_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.712:8146): arch=c000003e syscall=84 success=yes exit=0 a0=2ace1af91258 a1=2ace1af91750 a2=0 a3=7463376a326c742f items=0 ppid=3481 pid=29063 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.712:8146): avc:  denied  { rmdir } for  pid=29063 comm="httpd" name="tl2j7ctz_DEr0HuS4ez4.outputlock" dev=dm-0 ino=32833563 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.713:8147): arch=c000003e syscall=2 success=yes exit=20 a0=2ace01dec938 a1=241 a2=1b6 a3=241 items=0 ppid=3481 pid=29066 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.713:8147): avc:  denied  { write } for  pid=29066 comm="httpd" name="!clean!time!" dev=dm-0 ino=32702603 scontext=system_u:system_r:httpd_t:s0 tcontext=user_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.713:8148): arch=c000003e syscall=91 success=yes exit=0 a0=14 a1=1a4 a2=2ace1af95245 a3=22 items=0 ppid=3481 pid=29066 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.713:8148): avc:  denied  { setattr } for  pid=29066 comm="httpd" name="!clean!time!" dev=dm-0 ino=32702603 scontext=system_u:system_r:httpd_t:s0 tcontext=user_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.713:8149): arch=c000003e syscall=2 success=yes exit=20 a0=2ace1af7ea48 a1=10800 a2=19 a3=2065646f6e692064 items=0 ppid=3481 pid=29066 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.713:8149): avc:  denied  { read } for  pid=29066 comm="httpd" name="mod_pagespeed" dev=dm-0 ino=32702499 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:18:34 2013
type=SYSCALL msg=audit(1363706314.713:8150): arch=c000003e syscall=2 success=yes exit=20 a0=2ace1af81218 a1=10800 a2=2ace1af81170 a3=216e61656c63212f items=0 ppid=3481 pid=29066 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706314.713:8150): avc:  denied  { read } for  pid=29066 comm="httpd" name="rname" dev=dm-0 ino=32702520 scontext=system_u:system_r:httpd_t:s0 tcontext=user_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:19:04 2013
type=SYSCALL msg=audit(1363706344.711:8162): arch=c000003e syscall=2 success=no exit=-13 a0=2ace1af8fc68 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29217 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706344.711:8162): avc:  denied  { read } for  pid=29217 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:19:04 2013
type=SYSCALL msg=audit(1363706344.712:8163): arch=c000003e syscall=83 success=no exit=-13 a0=2ace1af8f748 a1=1ff a2=0 a3=7463376a326c742f items=0 ppid=3481 pid=29217 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706344.712:8163): avc:  denied  { write } for  pid=29217 comm="httpd" name="mod_pagespeed" dev=dm-0 ino=32702499 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:19:09 2013
type=SYSCALL msg=audit(1363706349.904:8165): arch=c000003e syscall=83 success=no exit=-13 a0=2ace1af8f748 a1=1ff a2=0 a3=7463376a326c742f items=0 ppid=3481 pid=29221 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706349.904:8165): avc:  denied  { write } for  pid=29221 comm="httpd" name="mod_pagespeed" dev=dm-0 ino=32702499 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:19:09 2013
type=SYSCALL msg=audit(1363706349.904:8164): arch=c000003e syscall=2 success=no exit=-13 a0=2ace1af8fc68 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29221 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706349.904:8164): avc:  denied  { read } for  pid=29221 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:19:19 2013
type=SYSCALL msg=audit(1363706359.489:8168): arch=c000003e syscall=2 success=yes exit=23 a0=2ace1af90f88 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29329 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706359.489:8168): avc:  denied  { read } for  pid=29329 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:19:19 2013
type=SYSCALL msg=audit(1363706359.490:8169): arch=c000003e syscall=5 success=yes exit=0 a0=17 a1=2ace1ba31ce0 a2=2ace1ba31ce0 a3=427047356d305f33 items=0 ppid=3481 pid=29329 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706359.490:8169): avc:  denied  { getattr } for  pid=29329 comm="httpd" path="/var/cache/mod_pagespeed/rname/cf_sqEA2xEfMTntZUWxhJpK/w/MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:20:17 2013
type=SYSCALL msg=audit(1363706417.440:8177): arch=c000003e syscall=49 success=no exit=-13 a0=f a1=7fff5f5cd0e0 a2=10 a3=2 items=0 ppid=1 pid=3049 auid=4294967295 uid=81 gid=81 euid=81 suid=81 fsuid=81 egid=81 sgid=81 fsgid=81 tty=(none) ses=4294967295 comm="dbus-daemon" exe="/bin/dbus-daemon" subj=system_u:system_r:system_dbusd_t:s0 key=(null)
type=AVC msg=audit(1363706417.440:8177): avc:  denied  { name_bind } for  pid=3049 comm="dbus-daemon" src=689 scontext=system_u:system_r:system_dbusd_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=udp_socket
----
time->Tue Mar 19 08:20:19 2013
type=SYSCALL msg=audit(1363706419.607:8187): arch=c000003e syscall=42 success=no exit=-115 a0=4 a1=7fff3663f7d0 a2=10 a3=0 items=0 ppid=8450 pid=29575 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706419.607:8187): avc:  denied  { name_connect } for  pid=29575 comm="multimon.cgi" dest=3551 scontext=system_u:system_r:httpd_sys_script_t:s0 tcontext=system_u:object_r:apcupsd_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:20:17 2013
type=SYSCALL msg=audit(1363706417.441:8179): arch=c000003e syscall=49 success=no exit=-13 a0=e a1=7fff5f5cd210 a2=10 a3=0 items=0 ppid=1 pid=3049 auid=4294967295 uid=81 gid=81 euid=81 suid=81 fsuid=81 egid=81 sgid=81 fsgid=81 tty=(none) ses=4294967295 comm="dbus-daemon" exe="/bin/dbus-daemon" subj=system_u:system_r:system_dbusd_t:s0 key=(null)
type=AVC msg=audit(1363706417.441:8179): avc:  denied  { name_bind } for  pid=3049 comm="dbus-daemon" src=690 scontext=system_u:system_r:system_dbusd_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:20:17 2013
type=SYSCALL msg=audit(1363706417.441:8180): arch=c000003e syscall=42 success=yes exit=0 a0=e a1=7fff5f5cd370 a2=10 a3=0 items=0 ppid=1 pid=3049 auid=4294967295 uid=81 gid=81 euid=81 suid=81 fsuid=81 egid=81 sgid=81 fsgid=81 tty=(none) ses=4294967295 comm="dbus-daemon" exe="/bin/dbus-daemon" subj=system_u:system_r:system_dbusd_t:s0 key=(null)
type=AVC msg=audit(1363706417.441:8180): avc:  denied  { name_connect } for  pid=3049 comm="dbus-daemon" dest=1013 scontext=system_u:system_r:system_dbusd_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:20:17 2013
type=SYSCALL msg=audit(1363706417.446:8181): arch=c000003e syscall=59 success=yes exit=0 a0=2b1b8d3a2800 a1=2b1b8f6d01e0 a2=0 a3=0 items=0 ppid=29470 pid=29572 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4294967295 comm="setfiles" exe="/sbin/setfiles" subj=system_u:system_r:setfiles_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1363706417.446:8181): avc:  denied  { noatsecure } for  pid=29572 comm="setfiles" scontext=system_u:system_r:semanage_t:s0-s0:c0.c1023 tcontext=system_u:system_r:setfiles_t:s0-s0:c0.c1023 tclass=process
type=AVC msg=audit(1363706417.446:8181): avc:  denied  { rlimitinh } for  pid=29572 comm="setfiles" scontext=system_u:system_r:semanage_t:s0-s0:c0.c1023 tcontext=system_u:system_r:setfiles_t:s0-s0:c0.c1023 tclass=process
type=AVC msg=audit(1363706417.446:8181): avc:  denied  { siginh } for  pid=29572 comm="setfiles" scontext=system_u:system_r:semanage_t:s0-s0:c0.c1023 tcontext=system_u:system_r:setfiles_t:s0-s0:c0.c1023 tclass=process
----
time->Tue Mar 19 08:20:17 2013
type=SYSCALL msg=audit(1363706417.621:8182): arch=c000003e syscall=49 success=no exit=-13 a0=f a1=7fff5f5cd0e0 a2=10 a3=2 items=0 ppid=1 pid=3049 auid=4294967295 uid=81 gid=81 euid=81 suid=81 fsuid=81 egid=81 sgid=81 fsgid=81 tty=(none) ses=4294967295 comm="dbus-daemon" exe="/bin/dbus-daemon" subj=system_u:system_r:system_dbusd_t:s0 key=(null)
type=AVC msg=audit(1363706417.621:8182): avc:  denied  { name_bind } for  pid=3049 comm="dbus-daemon" src=705 scontext=system_u:system_r:system_dbusd_t:s0 tcontext=system_u:object_r:agentx_port_t:s0 tclass=udp_socket
----
time->Tue Mar 19 08:20:18 2013
type=SYSCALL msg=audit(1363706418.898:8183): arch=c000003e syscall=49 success=yes exit=0 a0=6 a1=7fffada6e810 a2=10 a3=0 items=0 ppid=29470 pid=29573 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4294967295 comm="genhomedircon" exe="/usr/bin/python" subj=system_u:system_r:semanage_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1363706418.898:8183): avc:  denied  { name_bind } for  pid=29573 comm="genhomedircon" src=917 scontext=system_u:system_r:semanage_t:s0-s0:c0.c1023 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=udp_socket
----
time->Tue Mar 19 08:20:18 2013
type=SYSCALL msg=audit(1363706418.899:8184): arch=c000003e syscall=49 success=yes exit=0 a0=5 a1=7fffada6e940 a2=10 a3=0 items=0 ppid=29470 pid=29573 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4294967295 comm="genhomedircon" exe="/usr/bin/python" subj=system_u:system_r:semanage_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1363706418.899:8184): avc:  denied  { name_bind } for  pid=29573 comm="genhomedircon" src=918 scontext=system_u:system_r:semanage_t:s0-s0:c0.c1023 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:20:18 2013
type=SYSCALL msg=audit(1363706418.899:8185): arch=c000003e syscall=42 success=yes exit=0 a0=5 a1=7fffada6eaa0 a2=10 a3=0 items=0 ppid=29470 pid=29573 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4294967295 comm="genhomedircon" exe="/usr/bin/python" subj=system_u:system_r:semanage_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1363706418.899:8185): avc:  denied  { name_connect } for  pid=29573 comm="genhomedircon" dest=1013 scontext=system_u:system_r:semanage_t:s0-s0:c0.c1023 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:20:19 2013
type=SYSCALL msg=audit(1363706419.604:8186): arch=c000003e syscall=59 success=yes exit=0 a0=2ace1af69928 a1=2ace1af57e70 a2=2ace1af57e88 a3=0 items=0 ppid=8450 pid=29575 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706419.604:8186): avc:  denied  { noatsecure } for  pid=29575 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706419.604:8186): avc:  denied  { rlimitinh } for  pid=29575 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706419.604:8186): avc:  denied  { siginh } for  pid=29575 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
----
time->Tue Mar 19 08:20:19 2013
type=SYSCALL msg=audit(1363706419.701:8188): arch=c000003e syscall=2 success=yes exit=23 a0=2ace1af90f88 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29577 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706419.701:8188): avc:  denied  { read } for  pid=29577 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:20:19 2013
type=SYSCALL msg=audit(1363706419.701:8189): arch=c000003e syscall=5 success=yes exit=0 a0=17 a1=2ace1ba31ce0 a2=2ace1ba31ce0 a3=427047356d305f33 items=0 ppid=3481 pid=29577 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706419.701:8189): avc:  denied  { getattr } for  pid=29577 comm="httpd" path="/var/cache/mod_pagespeed/rname/cf_sqEA2xEfMTntZUWxhJpK/w/MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:20:29 2013
type=SYSCALL msg=audit(1363706429.031:8192): arch=c000003e syscall=59 success=yes exit=0 a0=2ace1af69928 a1=2ace1af6c5f0 a2=2ace1af6c608 a3=0 items=0 ppid=8447 pid=29582 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706429.031:8192): avc:  denied  { noatsecure } for  pid=29582 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706429.031:8192): avc:  denied  { rlimitinh } for  pid=29582 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706429.031:8192): avc:  denied  { siginh } for  pid=29582 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
----
time->Tue Mar 19 08:20:29 2013
type=SYSCALL msg=audit(1363706429.034:8193): arch=c000003e syscall=42 success=no exit=-13 a0=4 a1=7fff72364580 a2=10 a3=0 items=0 ppid=8447 pid=29582 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706429.034:8193): avc:  denied  { name_connect } for  pid=29582 comm="multimon.cgi" dest=3551 scontext=system_u:system_r:httpd_sys_script_t:s0 tcontext=system_u:object_r:apcupsd_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:20:29 2013
type=SYSCALL msg=audit(1363706429.036:8194): arch=c000003e syscall=2 success=no exit=-13 a0=2ace1af8fc28 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29583 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706429.036:8194): avc:  denied  { read } for  pid=29583 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:20:29 2013
type=SYSCALL msg=audit(1363706429.036:8195): arch=c000003e syscall=83 success=no exit=-13 a0=2ace1af8f708 a1=1ff a2=0 a3=7463376a326c742f items=0 ppid=3481 pid=29583 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706429.036:8195): avc:  denied  { write } for  pid=29583 comm="httpd" name="mod_pagespeed" dev=dm-0 ino=32702499 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:20:59 2013
type=SYSCALL msg=audit(1363706459.095:8197): arch=c000003e syscall=42 success=no exit=-13 a0=4 a1=7fffd085af40 a2=10 a3=0 items=0 ppid=8451 pid=29696 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706459.095:8197): avc:  denied  { name_connect } for  pid=29696 comm="multimon.cgi" dest=3551 scontext=system_u:system_r:httpd_sys_script_t:s0 tcontext=system_u:object_r:apcupsd_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:20:59 2013
type=SYSCALL msg=audit(1363706459.096:8198): arch=c000003e syscall=2 success=no exit=-13 a0=2ace1af8fc28 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29697 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706459.096:8198): avc:  denied  { read } for  pid=29697 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:20:59 2013
type=SYSCALL msg=audit(1363706459.096:8199): arch=c000003e syscall=83 success=no exit=-13 a0=2ace1af8f708 a1=1ff a2=0 a3=7463376a326c742f items=0 ppid=3481 pid=29697 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706459.096:8199): avc:  denied  { write } for  pid=29697 comm="httpd" name="mod_pagespeed" dev=dm-0 ino=32702499 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
----
time->Tue Mar 19 08:20:59 2013
type=SYSCALL msg=audit(1363706459.092:8196): arch=c000003e syscall=59 success=yes exit=0 a0=2ace1af69928 a1=2ace1af6c5f0 a2=2ace1af6c608 a3=0 items=0 ppid=8451 pid=29696 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706459.092:8196): avc:  denied  { noatsecure } for  pid=29696 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706459.092:8196): avc:  denied  { rlimitinh } for  pid=29696 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706459.092:8196): avc:  denied  { siginh } for  pid=29696 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
----
time->Tue Mar 19 08:21:28 2013
type=SYSCALL msg=audit(1363706488.242:8202): arch=c000003e syscall=59 success=yes exit=0 a0=2ace1af571b8 a1=2ace1af6c5f0 a2=2ace1af6c608 a3=0 items=0 ppid=8448 pid=29807 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706488.242:8202): avc:  denied  { noatsecure } for  pid=29807 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706488.242:8202): avc:  denied  { rlimitinh } for  pid=29807 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706488.242:8202): avc:  denied  { siginh } for  pid=29807 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
----
time->Tue Mar 19 08:21:28 2013
type=SYSCALL msg=audit(1363706488.245:8203): arch=c000003e syscall=42 success=no exit=-115 a0=4 a1=7fff1e097bb0 a2=10 a3=0 items=0 ppid=8448 pid=29807 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706488.245:8203): avc:  denied  { name_connect } for  pid=29807 comm="multimon.cgi" dest=3551 scontext=system_u:system_r:httpd_sys_script_t:s0 tcontext=system_u:object_r:apcupsd_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:21:28 2013
type=SYSCALL msg=audit(1363706488.247:8204): arch=c000003e syscall=2 success=yes exit=23 a0=2ace1af68d08 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29217 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706488.247:8204): avc:  denied  { read } for  pid=29217 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:21:28 2013
type=SYSCALL msg=audit(1363706488.247:8205): arch=c000003e syscall=5 success=yes exit=0 a0=17 a1=2ace1ba31ce0 a2=2ace1ba31ce0 a3=427047356d305f33 items=0 ppid=3481 pid=29217 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706488.247:8205): avc:  denied  { getattr } for  pid=29217 comm="httpd" path="/var/cache/mod_pagespeed/rname/cf_sqEA2xEfMTntZUWxhJpK/w/MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:23:58 2013
type=SYSCALL msg=audit(1363706638.452:8207): arch=c000003e syscall=49 success=no exit=-13 a0=16 a1=7fffa0032be0 a2=10 a3=2 items=0 ppid=3481 pid=8446 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706638.452:8207): avc:  denied  { name_bind } for  pid=8446 comm="httpd" src=705 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:agentx_port_t:s0 tclass=udp_socket
----
time->Tue Mar 19 08:23:58 2013
type=SYSCALL msg=audit(1363706638.453:8208): arch=c000003e syscall=49 success=no exit=-13 a0=16 a1=7fffa0034c60 a2=10 a3=2 items=0 ppid=3481 pid=8446 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706638.453:8208): avc:  denied  { name_bind } for  pid=8446 comm="httpd" src=706 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=udp_socket
----
time->Tue Mar 19 08:23:58 2013
type=SYSCALL msg=audit(1363706638.452:8206): arch=c000003e syscall=1 success=yes exit=33 a0=15 a1=2ace1af6e630 a2=21 a3=6165726373662f72 items=0 ppid=3481 pid=8446 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706638.452:8206): avc:  denied  { setfscreate } for  pid=8446 comm="httpd" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_t:s0 tclass=process
----
time->Tue Mar 19 08:24:41 2013
type=SYSCALL msg=audit(1363706681.498:8211): arch=c000003e syscall=59 success=yes exit=0 a0=2ace1af6b938 a1=2ace1af55e60 a2=2ace1af55e78 a3=0 items=0 ppid=8451 pid=30457 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706681.498:8211): avc:  denied  { noatsecure } for  pid=30457 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706681.498:8211): avc:  denied  { rlimitinh } for  pid=30457 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
type=AVC msg=audit(1363706681.498:8211): avc:  denied  { siginh } for  pid=30457 comm="multimon.cgi" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=process
----
time->Tue Mar 19 08:24:41 2013
type=SYSCALL msg=audit(1363706681.501:8212): arch=c000003e syscall=42 success=no exit=-13 a0=4 a1=7fffa7e37cf0 a2=10 a3=0 items=0 ppid=8451 pid=30457 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="multimon.cgi" exe="/var/www/apcupsd/multimon.cgi" subj=system_u:system_r:httpd_sys_script_t:s0 key=(null)
type=AVC msg=audit(1363706681.501:8212): avc:  denied  { name_connect } for  pid=30457 comm="multimon.cgi" dest=3551 scontext=system_u:system_r:httpd_sys_script_t:s0 tcontext=system_u:object_r:apcupsd_port_t:s0 tclass=tcp_socket
----
time->Tue Mar 19 08:24:41 2013
type=SYSCALL msg=audit(1363706681.502:8213): arch=c000003e syscall=2 success=no exit=-13 a0=2ace1af61eb8 a1=0 a2=1b6 a3=0 items=0 ppid=3481 pid=29697 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706681.502:8213): avc:  denied  { read } for  pid=29697 comm="httpd" name="MIpGLQPgF9N7mBzOu1C,40I.,40_,403_0m5GpB2pRfwJG5gEFE," dev=dm-0 ino=32833616 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file
----
time->Tue Mar 19 08:24:41 2013
type=SYSCALL msg=audit(1363706681.502:8214): arch=c000003e syscall=83 success=no exit=-13 a0=2ace1af61c58 a1=1ff a2=0 a3=7463376a326c742f items=0 ppid=3481 pid=29697 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1363706681.502:8214): avc:  denied  { write } for  pid=29697 comm="httpd" name="mod_pagespeed" dev=dm-0 ino=32702499 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
Comment 5 Miroslav Grepl 2013-03-21 05:01:13 EDT
This is a complex bug with more issues. Most of them are fixed in RHEL6 and we are going to close these RHEL5 bugs as CLOSED NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.